Bug 1166584 - [GSS] (6.4.x) Add a feature to override the default error report valve
Summary: [GSS] (6.4.x) Add a feature to override the default error report valve
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Carlo de Wolf
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 09:57 UTC by Masafumi Miura
Modified: 2018-12-09 19:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-22 08:31:27 UTC
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBWEB-248 Major Open The default error report class valve should be overridable 2018-04-25 03:35:27 UTC

Description Masafumi Miura 2014-11-21 09:57:27 UTC
The default error report valve "org.apache.catalina.valves.ErrorReportValve" shows stack trace and version information which is not suitable for production use. However, it's unable to be overridable in EAP 6. 

We can configure a valve setting in jboss-web.xml inside each web application but the problem here is that setting the valve in the jboss-web.xml is not actually replacing the default ErrorReportValve. Instead, it is leaving the default ErrorReportValve first in the valve pipeline and then placing the custom error valve later in the valve pipeline.

Also, though global valve was introduced since EAP 6.1, it's also does not work in order to override the default error report valve. 

Please provide a feature to override the default error report valve like "errorReportValveClass" setting in the previous EAP 4.x/5.x.

Comment 3 Rostislav Svoboda 2015-06-22 14:16:45 UTC
This looks like a RFE. qa_nacking for CP stream.


Note You need to log in before you can comment on or make changes to this bug.